> For the complete documentation index, see [llms.txt](https://docs.whiteswan.io/partner-knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/new-personal-plan.md).

# New Personal Plan

This event happens each time a new [personal plan](/partner-knowledge-base/platform-overview/client-experience/personal-plans.md) is delivered to an end-user referred through your White Swan account.

{% hint style="info" %}
If a request has multiple personal plans associated with it, such as from a change request or after a call with the [success manager](/partner-knowledge-base/platform-overview/platform-capabilities/client-success-managers-and-advanced-planning.md), each new plan will cause this trigger to run.
{% endhint %}

***

<details>

<summary>Sample Payload</summary>

```json
{
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"email": "john@gmail.com",
"policy_type": "Variable Universal Life",
"url_to_view_request_plans": "https://app.whiteswan.io/personal_plan/john-doe",
"url_to_view_request_internally": "https://app.whiteswan.io/partner_case/john-doe",
"url_to_finish_request": "https://app.whiteswan.io/get_started?block=c&request=1810952036992517125",
"main_goal": "Accumulation",
"phone": "1234567890",
"resident_state": "Florida",
"request_comment": "Would like to discuss investment account options",
"plan_success_manager": "Eric Mikolai",
"plan_success_manager_email": "eric@whiteswan.io",
"plan_success_manager_phone": "1234567890",
"plan_success_manager_meeting_link": "https://calendly.com/eric_whiteswan/personal-plan-review",
"associated_partner_account": "Acme Inc",
"associated_partner_user": "Jane Doe",
"associated_partner_page": "Variable Universal Life Company Page",
"death_benefit": 1000000,
"payment_schedule": "Monthly",
"paid_up_period": "10 Years",
"paid_up_period_numerical": 10,
"term_duration": "10 Years",
"term_duration_numerical": 10,
"premium_budget": 10000,
"gender": "Male",
"health_rating": "Excellent",
"date_of_birth": "2022-08-16T22:00:00.000Z",
"risk_profile": "Aggressive",
"expedited_products": true,
"convertability": false,
"riders": [
  "Waiver of Premium Rider",
  "Terminall Illness Rider",
  "Return of Premium Rider",
  "Supplemental Term Rider"
],
"additional_premium_room": 0,
"one_time_deposit_amount": 0,
"uncapped_accounts": "Capped Accounts",
"fee_accounts": "No Fee Accounts",
"planned_retirement_income": true,
"retirement_start_age": 60,
"retirement_length": 20,
"custom_account_allocation": true,
"account_allocations": [
  {
    "account_name": "Real Estate Fund",
    "allocation_percentage": 0.6
  },
  {
    "account_name": "Technology & Innovation Fund",
    "allocation_percentage": 0.4
  }
],
"personal_plan_ids": [
  "21859x36990",
  "218590x369356"
],
"request_id": "1690640821195x3690508838211456001"
}
```

</details>

**Data Returned by this Event:**

This webhook returns a personal plan object, which you can learn more about [here](/partner-knowledge-base/api-documentation/information-calls/personal-plan-s.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/new-personal-plan.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
